## dbskkd-cdb 1.01

=== Makefile ===
# dbskkd-cdb Makefile
# $Id: Makefile,v 1.6 1998/12/12 11:24:36 kenji Exp $

# please define SERVERDIR
SERVERDIR = /usr/local/libexec
# for FreeBSD-2.x and BSD/OS (without shlib)
CC = gcc -O -g
COMPAT =
LDFLAGS = -lutil ./libcdb.a
#LDFLAGS = -L/usr/local/lib -lutil -lcdb
# enable this for DJB's ucspi-tcp (tcpserver) environment
#PRIVATE = -DUCSPI_TCP

all: 	dbskkd-cdb 

dbskkd-cdb: dbskkd-cdb.o
	$(CC) $(LDFLAGS) -o dbskkd-cdb dbskkd-cdb.o $(LDFLAGS)

dbskkd-cdb.o: dbskkd-cdb.c
	$(CC) $(COMPAT) $(PRIVATE) -DSERVER_DIR=\"$(SERVERDIR)\" -c dbskkd-cdb.c

install: dbskkd-cdb 
	cp dbskkd-cdb $(SERVERDIR); chmod 755 $(SERVERDIR)/dbskkd-cdb

clean:
	rm -f dbskkd-cdb dbskkd-cdb.o

## dbskkd-cdb 2.00

=== Makefile ===
# dbskkd-cdb Makefile

CC = cc -Wall -O2 -g -I/usr/local/include
COMPAT =
CDBLIB = /usr/local/lib/libcdb.a
INSTALLDIR = /usr/local/libexec

.c.o:
	$(CC) $(COMPAT) $(PRIVATE) -c $*.c

all: 	dbskkd-cdb 

clean:
	/bin/rm -f dbskkd-cdb *.o

dbskkd-cdb: dbskkd-cdb.o 
	$(CC) $(COMPAT) $(PRIVATE) -o dbskkd-cdb \
		dbskkd-cdb.o ${CDBLIB}

dbskkd-cdb.o: dbskkd-cdb.c 
	$(CC) $(COMPAT) $(PRIVATE) -c dbskkd-cdb.c

error.o: error.c error.h

install: dbskkd-cdb 
	cp dbskkd-cdb $(INSTALLDIR); chmod 755 $(INSTALLDIR)/dbskkd-cdb

# end of makefile

=== debian/changelog ===
dbskkd-cdb (1:2.00-3) unstable; urgency=low

  * debian/watch: Follow the change of URL.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 04 Jun 2010 01:06:31 +0900

dbskkd-cdb (1:2.00-2) unstable; urgency=low

  * debian/control:
    - Add ${misc:Depends} to Depends.
    - Update Standards-Version to 3.8.4.
  * debian/postinst: Use --remove and --add to completely replace an entry
    for update-inetd.
  * debian/postrm: When "remove", use --disable instead of --remove for
    update-inetd.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 14 Feb 2010 22:59:11 +0900

dbskkd-cdb (1:2.00-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - To compile, use CDBLIB instead of LDFLAGS, and remove SERVERDIR.
    - Install *.sh into usr/share/dbskkd-cdb.
    - Install CHANGES by dh_installchangelogs.
    - Install README* and *.txt by dh_installdocs.
    - Use dh_prep instead of `dh_clean -k'.
  * debian/makeskkcdbdic: Simplified and use skktocdbm.sh.
  * debian/patches: Removed, not to use quilt.
  * debian/rules, debian/control: Don't use quilt.
  * debian/watch: Follow the change of URL.
  * debian/control:
    - Move `Homepage:' from Description to the header, and follow the change
      of URL.
    - Set Standards-Version to 3.8.0.
    - Build-Depends: debhelper (>= 7).
    - Enhances: skk.
  * debian/compat: 5 -> 7.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 16 Feb 2009 21:54:19 +0900

dbskkd-cdb (1:1.01-21) unstable; urgency=low

  * debian/control (Depends): Depend on `openbsd-inetd | inet-superserver'
    instead of `netbase'.
  * debian/rules (binary-arch): Don't install debian/makeskkcdbdic into
    the examples directory.
  * debian/copyright:
    - Update copyright years.
    - Mention Debian packaging conditions.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Apr 2007 22:58:05 +0900

dbskkd-cdb (1:1.01-20) unstable; urgency=low

  * debian/control (Build-Depends): Don't depend on tinycdb (<< 0.75).
  * debian/patches/tinycdb-seek.patch: Removed.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 28 Sep 2006 20:14:43 +0900

dbskkd-cdb (1:1.01-19) unstable; urgency=low

  * debian/control (Build-Depends): Conform to new tinycdb.  Depend on
    `libcdb-dev | tinycdb (<< 0.75)'.
  * debian/postrm: Use `which' instead of `command -v'.
  * debian/postrm: Remove a modified entry of `skkserv' when "purge".
  * debian/postinst: Check whether update-inetd is installed.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 17 Sep 2006 19:20:51 +0900

dbskkd-cdb (1:1.01-18) unstable; urgency=low

  * debian/patches/datasize.patch: Increase DATASIZE from 2048 to 4096
    so that the longest line of SKK-JISYO.L can be used.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon,  4 Sep 2006 23:31:37 +0900

dbskkd-cdb (1:1.01-17) unstable; urgency=low

  * debian/patches/tinycdb-seek.patch: Fix that cdb_seek() fails if datalen
    is zero. (Workaround for cdb_seek() bug in tinycdb, Debian bug#383417)
  * debian/patches/datalen-type.patch: Fix that cdb_seek() fails on 64bit
    systems.  Use unsigned int instead of uint32 for datalen and use
    tinycdb's header. (already fixed in version 1:1.01-14)
  * debian/patches/awk-locale.patch: Set LC_ALL to C for awk.
  * Depend on quilt (>= 0.40) to handle patches at build time.
  * debian/rules: Install `debian/makeskkcdbdic' into `/usr/bin'.
  * debian/rules: Install manpage `debian/makeskkcdbdic.1'.
  * debian/rules: Install `skktocdbm.sh' into `/usr/share/dbskkd-cdb'.
  * debian/makeskkcdbdic: Set LC_ALL to C for awk.
  * debian/makeskkcdbdic: Check whether cdb command exists.
  * debian/makeskkcdbdic.1: New file.
  * debian/control: Move tinycdb from `Suggests' to `Recommends'.
  * debian/control (Description): Revised.
  * debian/README.Debian: Revised.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun,  3 Sep 2006 22:52:22 +0900

dbskkd-cdb (1:1.01-16) unstable; urgency=low

  * debian/control: Remove `skksearch' from `Conflicts' and `Replaces',
    because `skkserv' is enough.
  * debian/control (Description): Revised.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 22 Aug 2006 01:19:37 +0900

dbskkd-cdb (1:1.01-15) unstable; urgency=low

  * New maintainer, with previous maintainer's consent.
  * debian/control: Add `Enhances: ddskk | skk' and `Suggests: tinycdb'.
  * debian/control: Depend on debhelper version 5.
  * debian/compat: 4 -> 5.
  * debian/control (Standards-Version): 3.6.2 -> 3.7.2.
  * debian/README.Debian: Mention the default value of the dictionary file.
  * debian/control (Description): Modified.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 14 Aug 2006 06:28:13 +0900

dbskkd-cdb (1:1.01-14) unstable; urgency=low

  * Apply 64bit system patch (closes: #339739). Thanks Yasuhiro.

 -- Kenshi Muto <kmuto@debian.org>  Sun, 20 Nov 2005 02:16:05 +0000

dbskkd-cdb (1:1.01-13) unstable; urgency=low

  * New maintainer (#328590)

 -- Kenshi Muto <kmuto@debian.org>  Wed, 16 Nov 2005 10:19:20 +0000

dbskkd-cdb (1:1.01-12) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (see #328590); set maintainer to Debian QA Group.
  * Switch from freecdb to tinycdb.  Thanks to Charles Fry for the
    preliminary patch.  Closes: #325270.
  * Switch to debhelper 4.
  * Add a dependency on netbase for update-inetd.
  * debian/makeskkcdbdic:
    - Remove bash-specific constructs.
    - Handle filenames containing whitespace.
  * debian/rules:
    - Add support for DEB_BUILD_OPTIONS=noopt.
    - Make makeskkcdbdic executable.
  * debian/copyright: Update upstream URL.
  * debian/watch: Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Sat, 12 Nov 2005 10:47:18 +0100

dbskkd-cdb (1:1.01-11) unstable; urgency=low

  * Included /usr/shared/co/dbskkd-cdb/examples/makeskkcdbdic.
    (Closes: Bug#147461)
  * Updated Standars-Version: 3.5.6.



=== debian/control ===
Source: dbskkd-cdb
Section: utils
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 7), libcdb-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/dbskkd-cdb/

Package: dbskkd-cdb
Architecture: any
Provides: skkserv
Conflicts: skkserv
Replaces: skkserv
Depends: ${shlibs:Depends}, ${misc:Depends}, openbsd-inetd | inet-superserver, skkdic-cdb
Recommends: tinycdb
Enhances: skk
Description: SKK dictionary server using cdb for faster access
 dbskkd-cdb is a dictionary server for SKK Japanese input systems,
 using D. J. Bernstein's cdb database for faster dictionary access.
 .
 dbskkd-cdb is compatible with skkserv on the protocol behavior.
 It is called from an internet super-server.
 .
 This package uses the SKK dictionary cdb file `SKK-JISYO.cdb' that
 is provided by the skkdic-cdb package.
 .
 If you want to convert your own dictionary to cdb, use the
 `makeskkcdbdic' command.  This command requires the tinycdb package.

=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

CFLAGS := -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CC='gcc $(CFLAGS)' \
                COMPAT='-DJISYO_FILE=\"/usr/share/skk/SKK-JISYO.cdb\"' \
		CDBLIB=-lcdb
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install dbskkd-cdb usr/sbin
	dh_install debian/makeskkcdbdic usr/bin
	dh_install *.sh usr/share/dbskkd-cdb

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs README* *.txt
	dh_installman debian/dbskkd-cdb.8
	dh_installman debian/makeskkcdbdic.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="filenamemangle=s/^.*name=//;s/\.tar\.gz.*/.tar.gz/,\
downloadurlmangle=s!^.*name=!http://dbskkd-cdb.googlecode.com/files/!;s/\.tar\.gz.*/.tar.gz/,\
uversionmangle=s/dev/~dev/" \
 http://code.google.com/p/dbskkd-cdb/downloads/list \
 detail\?name=dbskkd-cdb-([0-9]+\..+)\.tar\.gz.*

## dbskkd-cdb 2.00+0.20140502

=== debian/changelog ===
dbskkd-cdb (1:2.00+0.20140502-2) unstable; urgency=medium

  * Update debian/watch
  * Update debian/copyright
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 13 Sep 2015 14:12:38 +0900

dbskkd-cdb (1:2.00+0.20140502-1) unstable; urgency=medium

  * Imported Upstream version 2.00+0.20140502
  * Add Vcs-Git and Vcs-Browser
  * Update debian/copyright
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 24 Aug 2014 20:59:58 +0900

dbskkd-cdb (1:2.00-6) unstable; urgency=low

  * debian/rules: Revive the -Wall option for CFLAGS

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 01 Sep 2012 20:16:04 +0900

dbskkd-cdb (1:2.00-5) unstable; urgency=low

  * debian/rules: Use dpkg-buildflags to support hardening flags

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jul 2012 11:34:47 +0900

dbskkd-cdb (1:2.00-4) unstable; urgency=low

  * debian/copyright: Switch to copyright-format-1.0.
  * debian/rules: Add the targets build-arch and build-indep.
  * debian/control:
    - Set Homepage to the new project page
      <http://github.com/jj1bdx/dbskkd-cdb>.
    - Update Standards-Version to 3.9.3.
  * debian/watch: Follow the change of URL.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 18 Apr 2012 22:54:06 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7), libcdb-dev
-Standards-Version: 3.8.4
-Homepage: http://code.google.com/p/dbskkd-cdb/
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/dbskkd-cdb.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dbskkd-cdb.git
+Homepage: http://github.com/jj1bdx/dbskkd-cdb
 
 Package: dbskkd-cdb
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
CFLAGS=-Wall $(shell $(dpkg_buildflags) --get CFLAGS)
CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE) CC='gcc $(CFLAGS) $(CPPFLAGS)' \
                COMPAT='-DJISYO_FILE=\"/usr/share/skk/SKK-JISYO.cdb\"' \
		CDBLIB='$(LDFLAGS) -lcdb'
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build*-stamp
	$(MAKE) clean
	dh_clean

install: install-arch install-indep

install-indep: DH_OPTIONS=-i
install-indep: 

install-arch: DH_OPTIONS=-a
install-arch: 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install dbskkd-cdb usr/sbin
	dh_install debian/makeskkcdbdic usr/bin
	dh_install *.sh usr/share/dbskkd-cdb

binary-indep: DH_OPTIONS=-i
binary-indep: build-indep install-indep

binary-arch: DH_OPTIONS=-a
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs README* *.txt
	dh_installman debian/dbskkd-cdb.8
	dh_installman debian/makeskkcdbdic.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch build-indep build-arch

=== debian/watch ===
version=3
opts=uversionmangle=s/dev/~dev/;s/_IMPORTED_FROM_SVN//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dbskkd-cdb-$1\.tar\.gz/ \
https://github.com/jj1bdx/dbskkd-cdb/tags .*/v?(\d\S*)\.tar\.gz

## dbskkd-cdb 3.00

=== debian/changelog ===
dbskkd-cdb (1:3.00-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Homepage field.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Tatsuya Kinoshita ]
  * Add debian/upstream/metadata
  * Add Rules-Requires-Root: no
  * Update debhelper-compat to 13
  * Update debian/watch to version 4
  * Update debian/copyright
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 02 Jan 2021 17:37:03 +0900

dbskkd-cdb (1:3.00-2) unstable; urgency=medium

  * Update debhelper compat version to 11
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 04 Jun 2018 19:46:40 +0900

dbskkd-cdb (1:3.00-1) unstable; urgency=medium

  * New upstream version 3.00
  * Update debian/copyright
  * Update debhelper compat version to 9
  * Install *.md documents

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Jan 2017 20:10:46 +0900

dbskkd-cdb (1:2.00+0.20161005-1) unstable; urgency=medium

  * Imported Upstream version 2.00+0.20161005
  * Update debian/copyright
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8
  * Update debian/watch

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Oct 2016 09:40:47 +0900

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7), libcdb-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/dbskkd-cdb.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dbskkd-cdb.git
-Homepage: http://github.com/jj1bdx/dbskkd-cdb
+Build-Depends: debhelper-compat (= 13), libcdb-dev
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/debian/dbskkd-cdb
+Vcs-Git: https://salsa.debian.org/debian/dbskkd-cdb.git
+Homepage: https://github.com/jj1bdx/dbskkd-cdb
+Rules-Requires-Root: no
 
 Package: dbskkd-cdb
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # This file is public domain software, originally written by Joey Hess.
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -34,10 +34,10 @@
 install: install-arch install-indep
 
 install-indep: DH_OPTIONS=-i
-install-indep: 
+install-indep:
 
 install-arch: DH_OPTIONS=-a
-install-arch: 
+install-arch:
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -53,8 +53,8 @@
 binary-arch: build-arch install-arch
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs CHANGES
-	dh_installdocs README* *.txt
+	dh_installchangelogs CHANGES*
+	dh_installdocs README* CONTRIB* skk-server-protocol* examples*
 	dh_installman debian/dbskkd-cdb.8
 	dh_installman debian/makeskkcdbdic.1
 	dh_link

=== debian/watch ===
version=4
opts=uversionmangle=s/dev/~dev/;s/_IMPORTED_FROM_SVN//;s/-(\d{8})/+0.$1/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dbskkd-cdb-$1\.tar\.gz/ \
https://github.com/jj1bdx/dbskkd-cdb/tags .*/v?(\d\S*)\.tar\.gz
